> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List library shapes

> List the public Shape library.

**Operation ID:** `http.shapes.library.list`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/shapes/library
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/shapes/library
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/shapes/library:
    get:
      tags:
        - Shapes
      summary: List library shapes
      description: |-
        List the public Shape library.

        Product guidance: [Shape](/concepts/shape).
      operationId: http.shapes.library.list
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: q
          in: query
          required: false
          description: The words to search for.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: How many results, 1 to 20. Defaults to 20.
          schema:
            type: string
            pattern: ^[0-9]{1,2}$
        - name: cursor
          in: query
          required: false
          description: The cursor the previous page returned.
          schema:
            type: string
            minLength: 1
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_shapes_library_list_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_shapes_library_list_response:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              publisher:
                type: string
              publisher_name:
                type: string
              category:
                type: string
              kit:
                anyOf:
                  - type: string
                  - type: 'null'
              shape_id:
                type: string
              revision_id:
                type: string
              artifact_digest:
                type: string
              generation:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              name:
                anyOf:
                  - type: string
                  - type: 'null'
              description:
                anyOf:
                  - type: string
                  - type: 'null'
              display_name:
                anyOf:
                  - type: string
                  - type: 'null'
              tagline:
                anyOf:
                  - type: string
                  - type: 'null'
              types:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    description:
                      type: string
                  additionalProperties: {}
              adopted:
                type: boolean
              adopted_artifact_digest:
                anyOf:
                  - type: string
                  - type: 'null'
              score:
                type: number
            required:
              - publisher
              - publisher_name
              - category
              - kit
              - shape_id
              - revision_id
              - artifact_digest
              - generation
              - name
              - description
              - display_name
              - tagline
              - types
              - adopted
              - adopted_artifact_digest
              - score
            additionalProperties: {}
        page:
          type: object
          properties:
            next_cursor:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - next_cursor
          additionalProperties: false
      required:
        - data
        - page
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.